Bug 668264 - Slim won't unlock gnome-keyring by default
Summary: Slim won't unlock gnome-keyring by default
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: slim
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-09 15:17 UTC by Corentin Perard-Gayot
Modified: 2012-08-16 18:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:10:06 UTC


Attachments (Terms of Use)

Description Corentin Perard-Gayot 2011-01-09 15:17:34 UTC
Description of problem:
Slim won't unlock gnome-keyring by default

Version-Release number of selected component (if applicable):
slim-1.3.2-2.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1.install slim : yum install slim
2.put DISPLAYMANAGER=slim-dynwm in /etc/sysconfig/desktop
3.reboot or init 3 -> init 5

Actual results:
slim allows login to my xfce4 session but gnome-keyring isn't unlocked

Expected results:  
slim unlocks gnome-keyring automatically like lxdm does


Additional info:
/etc/pam.d/slim should contain at least :
session    optional     pam_gnome_keyring.so auto_start

like gdm and lxdm. But that is not enough. Any clue ?

Comment 1 Miro Hrončok 2011-04-25 17:10:04 UTC
Hi,
when added 2 lines:
auth    optional        pam_gnome_keyring.so
session    optional        pam_gnome_keyring.so  auto_start
to /etc/pam.d/slim, it should work (according to http://caedesnotes.wordpress.com/2010/05/05/unlock-gnome-keyring-on-login-with-slim-pam/ ), but it does not. Not even the keyring is unlocked. Network-manager isn't asking for password and it simply refuses to connect to password protected connections.
I have also tried it with new user account and it simply doesn't work. I would really appriciate this, because I don't want to use GDM just because of this. Thank you.

Comment 2 Fedora Admin XMLRPC Client 2011-04-26 13:07:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2012-08-16 18:10:08 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.